<div>
    <h2 id="page-heading">
        <span>Email Transactions</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-email-transaction" [routerLink]="['/email-transaction/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Email Transaction
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="emailTransactions?.length === 0">
        <span>No emailTransactions found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="emailTransactions && emailTransactions.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Template Name</span></th>
                    <th scope="col" ><span>To</span></th>
                    <th scope="col" ><span>Subject</span></th>
                    <th scope="col" ><span>Body</span></th>
                    <th scope="col" ><span>Send Date</span></th>
                    <th scope="col" ><span>Status</span></th>
                    <th scope="col" ><span>Error</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let emailTransaction of emailTransactions ;trackBy: trackId">
                    <td><a [routerLink]="['/email-transaction', emailTransaction.id, 'view']">{{ emailTransaction.id }}</a></td>
                    <td>{{ emailTransaction.templateName }}</td>
                    <td>{{ emailTransaction.to }}</td>
                    <td>{{ emailTransaction.subject }}</td>
                    <td>{{ emailTransaction.body }}</td>
                    <td>{{ emailTransaction.sendDate | date:'medium' }}</td>
                    <td>{{ emailTransaction.status }}</td>
                    <td>{{ emailTransaction.error }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/email-transaction', emailTransaction.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/email-transaction', emailTransaction.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(emailTransaction)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
